import ItemBuilder from "../../engine/builders/item";

export default new ItemBuilder()
.withID("stone")
.withName("a dull stone")
.withDescription("There is nothing remarkable about this rough, bland stone.")
.isTakeable(true)
.isUsable(true)
.withTakeCallback(async function(context) {
    context.print(`The ${this.id} feels heavy in your hands.`);
})
.withDropCallback(async function(context) {
    context.print(`It bounces back and forth a little.`)
})
.withUseCallback(async function(context) {
    context.print(`You can't really figure out what to do with ${this.name} yet`);
})
.create();